2017 June Release

Supported Platforms and Minimum System RequirementsPermanent link for this heading

When using Fabasoft app.test 2017 for automatic testing of Fabasoft Folio or Fabasoft eGov-Suite following versions are supported:

  • Fabasoft Folio 2012 to 2016
  • Versions of Fabasoft eGov-Suite that are based on the above mentioned versions of Fabasoft Folio

Microsoft Windows EnvironmentPermanent link for this heading

Fabasoft app.test Studio and Fabasoft app.test Agent

Operating System

Architecture

Microsoft Windows 7 Enterprise SP1
or
Microsoft Windows 8.1 Enterprise
or
Microsoft Windows 10 Enterprise

32 bit (x86) oder 64 bit (x64)

32 bit (x86) oder 64 bit (x64)

32 bit (x86) oder 64 bit (x64)

Software Requirements

Oracle Java SE Runtime Environment 8 Update 131 (JRE) (x86)

Microsoft Internet Explorer 11.0 (x86)

Running Tests With Apache Ant

Apache Ant 1.9.4

Linux EnvironmentPermanent link for this heading

Fabasoft app.test Agent

Operating System

Architecture

Ubuntu 17.04

32 bit (x86)

Software Requirements

Oracle Java SE Runtime Environment 8 Update 131 (JRE)

Running Tests With Apache Ant

Apache Ant 1.9.4

Apple OS X EnvironmentPermanent link for this heading

Fabasoft app.test Studio and Fabasoft app.test Agent

Operating System

Architecture

Apple macOS Sierra 10.12

64 bit (x64)

Software Requirements

Oracle Java SE Runtime Environment 8 Update 131 (JRE)

Apple Safari 10.1

Running Tests With Apache Ant

Apache Ant 1.9.4

Additional ConditionsPermanent link for this heading

  • The minimum hardware and software requirements for any future versions of this product may differ from the requirements of this version. 
  • A certain version of a third-party product integrated into any Fabasoft software product is supported by Fabasoft as long as the software product itself is supported by the third-party itself. For instance a particular version of an integrated Microsoft software product is only supported by Fabasoft until the date on which the Microsoft “Extended Support Phase” for this product version ends.
  • Third-party products that are required or supported by Fabasoft products, proper licensing and installation of them, necessary tests for product release as well as corresponding manufacturer support are not included in the scope of supply and services and therefore they are not subject to warranty of Fabasoft regarding functionality, mode of operation or features. Fabasoft is not responsible for errors or malfunction, which are caused by third-party software products and/or products that are not included in the scope of supply and services.
  • Fabasoft software products are only supported and tested on the mentioned reference system environments. In addition to the third-party product editions listed in the reference system environments the editions listed in chapter “Supported Editions of Third-Party Products” are supported but not tested.

Supported Editions of Third-Party ProductsPermanent link for this heading

Following editions of third-party products are supported. Explicitly tested are only those editions that are listed in the reference system environments.

  • The third-party product Microsoft Windows 7 SP1 is supported in the following editions: Enterprise and Ultimate.
  • The third-party product Microsoft Windows 8.1 is supported in the following editions: Pro and Enterprise.
  • The third-party product Microsoft Windows 10 is supported in the following editions: Pro and Enterprise.

Minimum RequirementsPermanent link for this heading

Architecture

CPU

RAM

Disk Space

32 bit (x86)

1,6 GHz

1 GB

1 GB

64 bit (x64)

1,6 GHz

1 GB

1 GB